<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aula 03 - Intro Vue</title>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>

<body>
    <div id="app">
        <h1>Trabalhando com {{ titulo }}</h1>
        <a href="https://google.com">google</a>
        <br />
        <h1>Trabalhando com V-on</h1>
        <br />
        <input type="text" v-label="titulo" v-model="caixaTexto" />
        <br />
        <button @click="alterarValor">Enviar</button>
        <br />
        <span>{{ titulo }}</span>
        <h1>Soma</h1>
        <p>Numero 1</p>
        <input type="text" @keyPress.enter="somarNum" v-model="Numero1">
        <p>Numero 2</p>
        <input type="text" @keyPress.enter="somarNum" v-model="Numero2">
        <br />
        <br />
        <button @click="somarNum">Somar</button>
        <p>O resultado da soma é {{resultado}}</p>
    </div>

    <script>
        const { createApp } = Vue;
        createApp({
            data() {
                return {
                    titulo: "Links",
                    link: "https://google.com",
                    caixaTexto: "",
                    Numero1: 0,
                    Numero2: 0,
                    resultado: 0,
                }
            },
            methods: {
                alterarValor: function () {
                    this.titulo = this.caixaTexto
                },
                somarNum: function () {
                    this.resultado = parseInt(this.Numero1) + parseInt(this.Numero2);
                },
                SubNum: function () {
                    this.Numero1 -= this.Numero2;
                }
            }
        }).mount("#app");
    </script>
</body>

</html>